Redmine - Defect #11634

Asynchronous delivery not work
2012-08-14 20:45 - Cyan Hanaka

Status: Closed Start date:

Priority: Normal Due date:

Assignee: % Done: 0%
Category: Estimated time: 0.00 hour
Target version:

Resolution: Duplicate Affected version: 2.0.3
Description

About your application's environment

Ruby version 1.9.3 (x86_64-1inux)

RubyGems version 1.8.23

Rack version 1.4

Rails version 3.2.6

Active Record version 3.2.6

Action Pack version 3.2.6

Active Resource version 3.2.6

Action Mailer version 3.2.6

Active Support version 3.2.6

Middleware Rack::Cache, ActionDispatch::Static, Rack::Lock, #<ActiveSupport::Cache:
:Strategy::LocalCache: :Middleware:0x00000002bd7160>, Rack::Runtime, Rack::MethodOverride, ActionDi
spatch: :RequestId, Rails::Rack::Logger, ActionDispatch::ShowExceptions, ActionDispatch::DebugExcep
tions, ActionDispatch::Remotelp, ActionDispatch::Callbacks, ActiveRecord::ConnectionAdapters::Conn
ectionManagement, ActiveRecord::QueryCache, ActionDispatch::Cookies, ActionDispatch::Session::Cook
ieStore, ActionDispatch::Flash, ActionDispatch::ParamsParser, ActionDispatch::Head, Rack::Conditio
nalGet, Rack::ETag, ActionDispatch::BestStandardsSupport, OpenIdAuthentication

Application root /opt/redmine

Environment production

Database adapter mysqlz2

Database schema version 20120731164049

| checked out redmine from github, and just on master branch.
use gmail's smtp service(port 587) and enabled the startles. No tis setting.

If I turned the setting to just :smtp, all mails send well. But for :async_smtp, no email would be send.
And no error tip, no error log. wired....

by the way, | use Unicorn as the server, and | found a warning log with in unicorn.log. I'm not sure whether it is related.

/opt/Ruby-1.9.3-pl194/1ib/ruby/gems/1.9.1/gems/activesupport-3.2.6/1lib/active_support/dependencies.
rb:251:in "block in require': iconv will be deprecated in the future, use String#encode instead.

Related issues:
Is duplicate of Redmine - Defect #11376: Asynchronous email notifications are... Closed

History

#1 - 2012-08-14 23:15 - Jean-Philippe Lang
- Status changed from New to Closed

- Resolution set to Duplicate

Same as #11376:

Replace smtp_settings with async_smtp_settings in your configuration.yml file if you're using async_smtp method.

#2 - 2012-08-15 06:36 - Cyan Hanaka
https://www.redmine.org/issues/11376

Well, it seems to be working :)

But maybe this is a problem as nothing mentioned in the manual wiki, and worse, it only have the invalid content which link to this post on the wiki
page Email Configuration. | think this cause a huge misleading.
http://www.redmineblog.com/articles/asynchronous-email-delivery
https://www.redmine.org/projects/redmine/wiki/Email_Configuration
http://www.tcpdf.org

